Bug 99331 - iostat -x fields report incorrect data
Summary: iostat -x fields report incorrect data
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: sysstat   
(Show other bugs)
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Charlie Bennett
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-17 18:51 UTC by Joel Kulesa
Modified: 2007-11-30 22:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 21:15:22 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2004:503 normal SHIPPED_LIVE Updated sysstat package 2005-01-31 05:00:00 UTC
Red Hat Product Errata RHBA-2004:506 normal SHIPPED_LIVE Updated sysstat package 2004-12-20 05:00:00 UTC

Description Joel Kulesa 2003-07-17 18:51:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
iostat -x has fields (avgrq-sz, avgqu-sz, await, svctm, %util) that do not
report correct information:

(see sdd and sdd1 for an example.  This is in a no load, in a load situation
svctm and %util do not remotely correlate to what the disk array is telling us -
but this also hold true for local root disks)

avg-cpu:  %user   %nice    %sys   %idle
           0.00    0.00    0.00  100.00

Device:  rrqm/s wrqm/s   r/s   w/s  rsec/s  wsec/s avgrq-sz avgqu-sz   await 
svctm  %util
cciss/c0d0
           0.00   0.00  0.00  3.50    0.00   28.00     8.00     0.00    0.00  
0.00   0.00
cciss/c0d0p1
           0.00   0.00  0.00  0.00    0.00    0.00     0.00     0.00    0.00  
0.00   0.00
cciss/c0d0p2
           0.00   0.00  0.00  3.50    0.00   28.00     8.00     0.00    0.00  
0.00   0.00
sdq       35.00   0.00  1.00  1.00   36.00    1.00    18.50 21474826.48    0.00
5000.00 100.00
sdq1      35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sdr       35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sdr1      35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sds       35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sds1      35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sdt       35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sdt1      35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sdu       35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sdu1      35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sdv       35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sdv1      35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sda       35.00   0.00  1.00  1.50   36.00    1.50    15.00    10.00    0.00
4000.00 100.00
sda1      35.00   0.00  1.00  1.50   36.00    1.50    15.00     0.00    0.00  
0.00   0.00
sdb       35.00   0.00  1.00  1.50   36.00    1.50    15.00     0.00    0.00  
0.00   0.00
sdb1      35.00   0.00  1.00  1.50   36.00    1.50    15.00 21474826.48    0.00
4000.00 100.00
sdc       35.00   0.00  1.00  1.00   36.00    1.00    18.50    10.00    0.00
5000.00 100.00
sdc1      35.00   0.00  1.00  1.00   36.00    1.00    18.50    10.00    0.00
5000.00 100.00
sdd       50.00  11.50  2.00  5.50   52.00   17.00     9.20 21474826.73   33.33
1333.33 100.00
sdd1      50.00  11.50  2.00  5.50   52.00   17.00     9.20 21474826.73   33.33
1333.33 100.00
sde       35.00   5.50  1.00  3.50   36.00    9.00    10.00     0.00    0.00  
0.00   0.00
sde1      35.00   5.50  1.00  3.50   36.00    9.00    10.00     0.00    0.00  
0.00   0.00
sdf       35.00   5.50  1.00  3.50   36.00    9.00    10.00     0.00    0.00  
0.00   0.00
sdf1      35.00   5.50  1.00  3.50   36.00    9.00    10.00     0.00    0.00  
0.00   0.00
sdg       35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sdg1      35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sdh       35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sdh1      35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00
sdi       35.00   0.00  1.00  1.00   36.00    1.00    18.50     0.00    0.00  
0.00   0.00

Version-Release number of selected component (if applicable):
sysstat-4.0.1-2

How reproducible:
Always

Steps to Reproduce:
1.  Do some disk io
2.  Run and iostat -x 2
3.  Look at the fiction  :-)
    

Actual Results:  See the results above

Expected Results:  We should see numbers that credibly report reality

Additional info:  This behavior happens in AS2.1, and RH7.x,8.0

Comment 1 Greg Marsden 2003-11-12 19:30:45 UTC
Oracle is also encountering these problems with iostat (run only for a
single cycle). The stale values occur in all categories.


> Device:        tps   Blk_read/s   Blk_wrtn/s   Blk_read   Blk_wrtn
> dev8-0        0.50         0.00         0.00          0          0
> dev8-1    463510.00    267152.00  26011768.00     534304   52023536
> dev8-2    2146681318.00         2.00         0.00          4          0
> dev8-3    2141591205.50 2121533703.00 2067677595.00 4243067406
4135355190


Comment 2 Charlie Bennett 2004-09-29 15:18:48 UTC
Erratum RHBA-2004:503 (in progress)

Comment 3 Jim Collins 2004-12-10 15:45:28 UTC
Was RHBA-2004:503 released? I can't find it. In U6? Thanks.

Comment 4 Charlie Bennett 2004-12-10 16:49:58 UTC
In U6.

Comment 5 John Flanagan 2004-12-13 21:15:22 UTC
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-503.html


Comment 6 John Flanagan 2004-12-21 04:01:04 UTC
An advisory has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-506.html



Note You need to log in before you can comment on or make changes to this bug.